Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.gui
Class ArcHandler

    java.lang.Object
      javax.swing.event.MouseInputAdapter
          pipe.gui.PetriNetObjectHandler
              pipe.gui.ArcHandler

All Implemented Interfaces:
  java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.util.EventListener, javax.swing.event.MouseInputListener, Constants

    public class ArcHandler

extends PetriNetObjectHandler

Class used to implement methods corresponding to mouse events on arcs.

Field Summary

Fields inherited from class pipe.gui.PetriNetObjectHandler
`contentPane, dragInit, enablePopup, isDragging, justSelected, myObject`

Fields inherited from interface pipe.gui.Constants
`ADDTOKEN, ANIMATE, ANNOTATION, ANNOTATION_DEFAULT_FONT, ANNOTATION_DEFAULT_FONT_SIZE, ANNOTATION_LAYER_OFFSET, ANNOTATION_MIN_WIDTH, ANNOTATION_SIZE_OFFSET, ARC, ARC_CONTROL_POINT_CONSTANT, ARC_LAYER_OFFSET, ARC_PATH_PROXIMITY_WIDTH, ARC_PATH_SELECTION_WIDTH, ARC_POINT_LAYER_OFFSET, CLASS_FILE_DESC, CLASS_FILE_EXTENSION, CREATING, DEFAULT_ELEMENT_TYPE, DELETE, DELTOKEN, DRAG, DRAW, ELEMENT_FILL_COLOUR, ELEMENT_LINE_COLOUR, ENABLED_TRANSITION_COLOUR, FIRE, GRID, IMMTRANS, LOWEST_LAYER_OFFSET, NOTE_DISABLED_COLOUR, NOTE_EDITING_COLOUR, PLACE, PLACE_TRANSITION_HEIGHT, PLACE_TRANSITION_LAYER_OFFSET, PLACE_TRANSITION_PROXIMITY_RADIUS, PROPERTY_FILE_DESC, PROPERTY_FILE_EXTENSION, RANDOM, RESERVED_BORDER, RESIZE_POINT_DOWN_COLOUR, SELECT, SELECTION_FILL_COLOUR, SELECTION_LAYER_OFFSET, SELECTION_LINE_COLOUR, START, STEPBACKWARD, STEPFORWARD, STOP, TIMEDTRANS`

Constructor Summary
`ArcHandler(java.awt.Container contentpane, Arc obj)`

Method Summary
`javax.swing.JPopupMenu` | `getPopup(java.awt.event.MouseEvent e)` Creates the popup menu that the user will see when they right click on a component
`void` | `mouseDragged(java.awt.event.MouseEvent e)` Handler for dragging PlaceTransitionObjects around
`void` | `mousePressed(java.awt.event.MouseEvent e)`

Methods inherited from class pipe.gui.PetriNetObjectHandler
`enablePopupMenu, mouseReleased`

Methods inherited from class javax.swing.event.MouseInputAdapter
`mouseClicked, mouseEntered, mouseExited, mouseMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArcHandler

    public ArcHandler(java.awt.Container contentpane,
                      Arc obj)

Method Detail

### getPopup

    public javax.swing.JPopupMenu getPopup(java.awt.event.MouseEvent e)

  Creates the popup menu that the user will see when they right click on a component

  Overrides:
    `getPopup` in class `PetriNetObjectHandler`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`
  Overrides:
    `mousePressed` in class `PetriNetObjectHandler`

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Description copied from class: `PetriNetObjectHandler`
  Handler for dragging PlaceTransitionObjects around

  Specified by:
    `mouseDragged` in interface `java.awt.event.MouseMotionListener`
  Overrides:
    `mouseDragged` in class `PetriNetObjectHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD